Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl
Interface XMLDocumentFragmentScannerImpl.Dispatcher

All Known Implementing Classes:
  XMLDocumentFragmentScannerImpl.FragmentContentDispatcher, XMLDocumentScannerImpl.DTDDispatcher, XMLDocumentScannerImpl.PrologDispatcher, XMLDocumentScannerImpl.TrailingMiscDispatcher, XMLDocumentScannerImpl.XMLDeclDispatcher

Enclosing class:
  XMLDocumentFragmentScannerImpl

protected static interface XMLDocumentFragmentScannerImpl.Dispatcher

This interface defines an XML "event" dispatching model. Classes that implement this interface are responsible for scanning parts of the XML document and dispatching callbacks.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Author:
  Glenn Marcy, IBM

Method Summary
`boolean` | `dispatch(boolean complete)` Dispatch an XML "event".

Method Detail

### dispatch

    public boolean dispatch(boolean complete)
                     throws java.io.IOException,
                            org.apache.xerces.xni.XNIException

  Dispatch an XML "event".
  Parameters:
    `complete` - True if this dispatcher is intended to scan and dispatch as much as possible.
  Returns:
    True if there is more to dispatch either from this or a another dispatcher.
  Throws:
    `java.io.IOException` - Thrown on i/o error.
    `org.apache.xerces.xni.XNIException` - Thrown on parse error.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.